aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAmatCoder <amatcoder@gmail.com>2015-06-03 20:32:36 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-06-09 12:45:24 +0000
commitbf259708f853656611b61cab124043f4c3ff8ff1 (patch)
tree7e56911feffae6b23ee21a10548b6bbab2826856
parent7109cf265077395911579b36f29a7f1d020bb08f (diff)
downloadaports-bf259708f853656611b61cab124043f4c3ff8ff1.tar.bz2
aports-bf259708f853656611b61cab124043f4c3ff8ff1.tar.xz
testing/cppcheck: update to 1.69
-rw-r--r--testing/cppcheck/APKBUILD14
1 files changed, 7 insertions, 7 deletions
diff --git a/testing/cppcheck/APKBUILD b/testing/cppcheck/APKBUILD
index c4d158466f..2fc4c5fa68 100644
--- a/testing/cppcheck/APKBUILD
+++ b/testing/cppcheck/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: August Klein <amatcoder@gmail.com>
# Maintainer: August Klein <amatcoder@gmail.com>
pkgname=cppcheck
-pkgver=1.68
+pkgver=1.69
pkgrel=0
pkgdesc="A static analysis tool for C/C++ code"
url="http://cppcheck.sourceforge.net"
@@ -12,7 +12,7 @@ depends_dev=""
makedepends="$depends_dev docbook-xsl pcre-dev qt5-qttools-dev"
install=""
subpackages="$pkgname-doc $pkgname-htmlreport $pkgname-gui"
-source="https://github.com/danmar/cppcheck/archive/$pkgver.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/danmar/cppcheck/archive/$pkgver.tar.gz
avoid_execinfo.patch
set_datadir.patch"
@@ -32,8 +32,8 @@ build() {
make DB2MAN=/usr/share/xml/docbook/xsl-stylesheets-*/manpages/docbook.xsl man || return 1
cd gui
- lrelease gui.pro || return 1
- qmake HAVE_RULES=yes || return 1
+ lrelease-qt5 gui.pro || return 1
+ qmake-qt5 HAVE_RULES=yes || return 1
make SRCDIR=build CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes || return 1
}
@@ -65,12 +65,12 @@ gui() {
mv gui/cppcheck*.qm "$subpkgdir"/usr/share/cppcheck/lang/
}
-md5sums="35c84962db9b01673d872fc4966aeb22 1.68.tar.gz
+md5sums="9bc7532d9371f506bc4547a05a1fdebf cppcheck-1.69.tar.gz
f7543600f177495d19246934210df4c4 avoid_execinfo.patch
9107713c930708436089b31eb3975de0 set_datadir.patch"
-sha256sums="fceac7e28783b55604a49504dfdbdbf8b9572eddaaacf3c87bc1600b086b5684 1.68.tar.gz
+sha256sums="6e54f0dc97cbcc6c742cef4ceb1ade7f20f88af713a19c7613dba1d78eed6363 cppcheck-1.69.tar.gz
d628da592fd6fce32d533a8333a20ea0bc273a1a21ed6057f0673678b6bdf4a5 avoid_execinfo.patch
0f76926ea6baec00cad4e62ecb9215139cf8a1709c3ec613f494212e18ac5275 set_datadir.patch"
-sha512sums="8edee3589282a60e05a698837feea8ae1e5adea63ace2691667c57f6f8649f72f7873b712638377d4750667df3a052a81da15f1fcc5e068c7673f2e0799b046f 1.68.tar.gz
+sha512sums="0b0ea178e9135987153f104f6b8dac8f6c441c55893dd1e32217087b97f3ae6be8fb6365e93d23d202195dde61a32e1fb6a532e6c54c2a54564d09cf774bdbe0 cppcheck-1.69.tar.gz
0f8b62dfbef9305d7146adf14cd01e028e12a63f781d8f25e3e813ecbf98f8bc0c79b0085ec277a12bee8208abddc5520b51e64c5a3503dc77e52db95688c66d avoid_execinfo.patch
b3cdd52899c2e1633cd715243b285029a8e72aa3e745be04579677b572b569ef3616dbe98df11cc9a39bc9acd9c13cc43bc4d21edc7e7fde8b95a9903cdcd58e set_datadir.patch"